Get User
GET
/user/{userId}
const url = 'https://api.exolink.cloud/user/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/user/example \ --header 'Authorization: Bearer <token>'Retrieve user information
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
User ID
Responses
Section titled “Responses”User information
Media typeapplication/json
object
userId
Unique identifier for the user (UUID)
string
username
User’s email address
string
email
User’s email address
string
givenName
User’s first name
string
familyName
User’s last name
string
mfa
Whether multi-factor authentication is enabled
boolean
perms
User permissions per tenant (tenant domain prefix -> role mapping)
object
key
additional properties
string
createdAt
When the user account was created
string format: date-time
updatedAt
When the user account was last updated
string format: date-time
Examplegenerated
{ "userId": "example", "username": "example", "email": "example", "givenName": "example", "familyName": "example", "mfa": true, "perms": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}